import java.util.*;
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class TimerMIDlet extends MIDlet implements CommandListener{
	private Display display;
	private Form form;
	private Command exit, stop; 
	private Timer timer; 
	private TestTimerTask task; 
	private int count = 0; 


	public TimerMIDlet(){
		display = Display.getDisplay(this);		
		form = new Form("Timer Example");
		exit = new Command("Exit", Command.EXIT, 1);
		stop= new Command("Stop", Command.STOP, 2);
		form.append("Please wait for timer.. \n");
		form.addCommand(exit);
		form.addCommand(stop);
		form.setCommandListener(this);		
	}	

	public void startApp (){
		timer = new Timer();
		task = new TestTimerTask();
		timer.schedule(task,5000);
		display.setCurrent(form);
	}	

	public void pauseApp (){ }

	public void destroyApp (boolean unconditional){
		notifyDestroyed();
	}	

	public void commandAction(Command c, Displayable d){
		String label = c.getLabel();
		if (label.equals("Stop")){
			timer.cancel();
		}else if (label.equals("Exit")) {
			destroyApp(true);
		}
	}

	private class TestTimerTask extends TimerTask{
		public final void run(){
			form.append("Timer Execute Count: " + ++count + "\n");
		}
	}
}